vigra - Image Registration

[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| Image Registration |

## Functions
template<class SrcIterator , class DestIterator >
linalg::TemporaryMatrix< double > | affineMatrix2DFromCorrespondingPoints (SrcIterator s, SrcIterator send, DestIterator d)
| Create homogeneous matrix that maps corresponding points onto each other. More...
template<... >
void | estimateAffineTransform (...)
| Estimate the optical flow between two images according to an affine transform model (e.g. translation, rotation, non-uniform scaling, and shearing). More...
template<... >
void | estimateSimilarityTransform (...)
| Estimate the optical flow between two images according to a similarity transform model (e.g. translation, rotation, and uniform scaling). More...
template<... >
void | estimateTranslation (...)
| Estimate the optical flow between two images according to a translation model. More...

## Detailed Description

## Function Documentation

linalg::TemporaryMatrix<double> vigra::affineMatrix2DFromCorrespondingPoints | ( | SrcIterator | s,
|  | SrcIterator | send,
|  | DestIterator | d
| ) |  |

Create homogeneous matrix that maps corresponding points onto each other.

For use with affineWarpImage(). When only two corresponding points are given, the matrix will only represent a similarity transform (translation, rotation, and uniform scaling). When only one point pair is given, the result will be a pure translation.

void vigra::estimateTranslation | ( |  | ...) |  |

Estimate the optical flow between two images according to a translation model.

Sorry, no detailedDocumentation() available yet.

Declarations:

#include <vigra/affine_registration.hxx>
Namespace: vigra

pass 2D array views:

namespace vigra {
template <class T1, class S1,
class T2, class S2,
int SPLINEORDER>
void
estimateTranslation(MultiArrayView<2, T1, S1> const & src,
MultiArrayView<2, T2, S2> dest,
Matrix<double> & affineMatrix,
AffineMotionEstimationOptions<SPLINEORDER> const & options = AffineMotionEstimationOptions<SPLINEORDER>());
}

show deprecated declarations

pass Image Iterators and Data Accessors :
namespace vigra {
template <class SrcIterator, class SrcAccessor,
class DestIterator, class DestAccessor,
int SPLINEORDER = 2>
void
estimateTranslation(SrcIterator sul, SrcIterator slr, SrcAccessor src,
DestIterator dul, DestIterator dlr, DestAccessor dest,
Matrix<double> & affineMatrix,
AffineMotionEstimationOptions<SPLINEORDER> const & options =
AffineMotionEstimationOptions<>())
}

use argument objects in conjunction with Argument Object Factories :

namespace vigra {
template <class SrcIterator, class SrcAccessor,
class DestIterator, class DestAccessor,
int SPLINEORDER = 2>
void
estimateTranslation(triple<SrcIterator, SrcIterator, SrcAccessor> src,
triple<DestIterator, DestIterator, DestAccessor> dest,
Matrix<double> & affineMatrix,
AffineMotionEstimationOptions<SPLINEORDER> const & options =
AffineMotionEstimationOptions<>())
}

void vigra::estimateSimilarityTransform | ( |  | ...) |  |

Estimate the optical flow between two images according to a similarity transform model (e.g. translation, rotation, and uniform scaling).

Sorry, no detailedDocumentation() available yet.

Declarations:

#include <vigra/affine_registration.hxx>
Namespace: vigra

pass 2D array views:

namespace vigra {
template <class T1, class S1,
class T2, class S2,
int SPLINEORDER>
void
estimateSimilarityTransform(MultiArrayView<2, T1, S1> const & src,
MultiArrayView<2, T2, S2> dest,
Matrix<double> & affineMatrix,
AffineMotionEstimationOptions<SPLINEORDER> const & options =
AffineMotionEstimationOptions<SPLINEORDER>());
}

show deprecated declarations

pass Image Iterators and Data Accessors :
namespace vigra {
template <class SrcIterator, class SrcAccessor,
class DestIterator, class DestAccessor,
int SPLINEORDER = 2>
void
estimateSimilarityTransform(SrcIterator sul, SrcIterator slr, SrcAccessor src,
DestIterator dul, DestIterator dlr, DestAccessor dest,
Matrix<double> & affineMatrix,
AffineMotionEstimationOptions<SPLINEORDER> const & options =
AffineMotionEstimationOptions<>())
}

use argument objects in conjunction with Argument Object Factories :

namespace vigra {
template <class SrcIterator, class SrcAccessor,
class DestIterator, class DestAccessor,
int SPLINEORDER = 2>
void
estimateSimilarityTransform(triple<SrcIterator, SrcIterator, SrcAccessor> src,
triple<DestIterator, DestIterator, DestAccessor> dest,
Matrix<double> & affineMatrix,
AffineMotionEstimationOptions<SPLINEORDER> const & options =
AffineMotionEstimationOptions<>())
}

void vigra::estimateAffineTransform | ( |  | ...) |  |

Estimate the optical flow between two images according to an affine transform model (e.g. translation, rotation, non-uniform scaling, and shearing).

Sorry, no detailedDocumentation() available yet.

Declarations:

#include <vigra/affine_registration.hxx>
Namespace: vigra

pass 2D array views:

namespace vigra {
template <class T1, class S1,
class T2, class S2,
int SPLINEORDER>
void
estimateAffineTransform(MultiArrayView<2, T1, S1> const & src,
MultiArrayView<2, T2, S2> dest,
Matrix<double> & affineMatrix,
AffineMotionEstimationOptions<SPLINEORDER> const & options =
AffineMotionEstimationOptions<SPLINEORDER>());
}

show deprecated declarations

pass Image Iterators and Data Accessors :
namespace vigra {
template <class SrcIterator, class SrcAccessor,
class DestIterator, class DestAccessor,
int SPLINEORDER = 2>
void
estimateAffineTransform(SrcIterator sul, SrcIterator slr, SrcAccessor src,
DestIterator dul, DestIterator dlr, DestAccessor dest,
Matrix<double> & affineMatrix,
AffineMotionEstimationOptions<SPLINEORDER> const & options =
AffineMotionEstimationOptions<>())
}

use argument objects in conjunction with Argument Object Factories :

namespace vigra {
template <class SrcIterator, class SrcAccessor,
class DestIterator, class DestAccessor,
int SPLINEORDER = 2>
void
estimateAffineTransform(triple<SrcIterator, SrcIterator, SrcAccessor> src,
triple<DestIterator, DestIterator, DestAccessor> dest,
Matrix<double> & affineMatrix,
AffineMotionEstimationOptions<SPLINEORDER> const & options =
AffineMotionEstimationOptions<>())
}

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.10.0 (Thu Jan 8 2015)